Package org.silverpeas.components.community.control

## Class MemberUIEntity

- java.lang.Object
- - org.silverpeas.core.web.util.SelectableUIEntity<CommunityMembership>
  - - org.silverpeas.components.community.control.MemberUIEntity

- Direct Known Subclasses:
    `HistoryItemUIEntity`

      public class MemberUIEntity
      extends org.silverpeas.core.web.util.SelectableUIEntity<CommunityMembership>

  UI item for a `User` instance.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <U extends CommunityMembership> org.silverpeas.core.util.SilverpeasList<MemberUIEntity>` | `convertList​(org.silverpeas.core.util.SilverpeasList<U> values, Set<String> selectedIds)` | Converts the given data list into a `SilverpeasList` of item wrapping the `User`.
    `String` | `getId()` |
    `String` | `getStatusLabel​(String language)` |
    `org.silverpeas.core.admin.user.model.User` | `getUser()` | Gets the member user.
    `Instant` | `memberOn()` |
    `Instant` | `requestedMembershipOn()` |

    - ### Methods inherited from class org.silverpeas.core.web.util.SelectableUIEntity

      `convert, getData, getUserByIdFromCache, isSelected, setSelected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in class `org.silverpeas.core.web.util.SelectableUIEntity<CommunityMembership>`

    - #### getUser

          public org.silverpeas.core.admin.user.model.User getUser()

      Gets the member user.
      Returns:
        an instance of `User`.

    - #### getStatusLabel

          public String getStatusLabel​(String language)

    - #### requestedMembershipOn

          public Instant requestedMembershipOn()

    - #### memberOn

          public Instant memberOn()

    - #### convertList

          public static <U extends CommunityMembership> org.silverpeas.core.util.SilverpeasList<MemberUIEntity> convertList​(org.silverpeas.core.util.SilverpeasList<U> values,
                                                                                                                            Set<String> selectedIds)

      Converts the given data list into a `SilverpeasList` of item wrapping the `User`.
      Parameters:
        `values` - the list of `User`.
      Returns:
        the `SilverpeasList` of `MemberUIEntity`.